package net.mcreator.groundzjava.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.groundzjava.entity.ElitetenticleEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class ElitetenticleRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(ElitetenticleEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new ModelElite_tenticle(), 0.5f) {

					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("ground_z_java:textures/elite_tenticle.bbmodel_texture.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.2
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class ModelElite_tenticle extends EntityModel<Entity> {
		private final ModelRenderer elitetenticle;
		private final ModelRenderer face;
		private final ModelRenderer tenticlemidB_r1;
		private final ModelRenderer head;
		private final ModelRenderer tenticlemidB_r2;
		private final ModelRenderer neck;
		private final ModelRenderer tenticlemidB_r3;
		private final ModelRenderer tenticlemidB_r4;

		public ModelElite_tenticle() {
			textureWidth = 64;
			textureHeight = 64;
			elitetenticle = new ModelRenderer(this);
			elitetenticle.setRotationPoint(0.0F, 24.0F, 0.0F);
			elitetenticle.setTextureOffset(0, 34).addBox(-9.0F, -3.0F, -2.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			elitetenticle.setTextureOffset(32, 0).addBox(3.0F, -3.0F, -2.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			elitetenticle.setTextureOffset(24, 25).addBox(-3.0F, -3.0F, 4.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			elitetenticle.setTextureOffset(24, 16).addBox(-3.0F, -3.0F, -8.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			elitetenticle.setTextureOffset(0, 16).addBox(-3.0F, -12.0F, -2.0F, 6.0F, 12.0F, 6.0F, 0.0F, false);
			face = new ModelRenderer(this);
			face.setRotationPoint(0.0F, 24.0F, 0.0F);
			tenticlemidB_r1 = new ModelRenderer(this);
			tenticlemidB_r1.setRotationPoint(0.0F, 0.0F, 0.0F);
			face.addChild(tenticlemidB_r1);
			setRotationAngle(tenticlemidB_r1, 0.8727F, 0.0F, 0.0F);
			tenticlemidB_r1.setTextureOffset(0, 43).addBox(4.0F, -34.0F, 12.0F, 1.0F, 3.0F, 6.0F, 0.0F, false);
			tenticlemidB_r1.setTextureOffset(42, 22).addBox(-5.0F, -39.0F, 12.0F, 1.0F, 3.0F, 6.0F, 0.0F, false);
			tenticlemidB_r1.setTextureOffset(42, 41).addBox(4.0F, -39.0F, 12.0F, 1.0F, 3.0F, 6.0F, 0.0F, false);
			tenticlemidB_r1.setTextureOffset(14, 43).addBox(-5.0F, -34.0F, 12.0F, 1.0F, 3.0F, 6.0F, 0.0F, false);
			head = new ModelRenderer(this);
			head.setRotationPoint(0.0F, 24.0F, 0.0F);
			tenticlemidB_r2 = new ModelRenderer(this);
			tenticlemidB_r2.setRotationPoint(0.0F, 0.0F, 0.0F);
			head.addChild(tenticlemidB_r2);
			setRotationAngle(tenticlemidB_r2, 0.8727F, 0.0F, 0.0F);
			tenticlemidB_r2.setTextureOffset(0, 0).addBox(-4.0F, -39.0F, 16.0F, 8.0F, 8.0F, 8.0F, 0.0F, false);
			neck = new ModelRenderer(this);
			neck.setRotationPoint(0.0F, 24.0F, 0.0F);
			neck.setTextureOffset(42, 9).addBox(-1.0F, -22.0F, -1.0F, 3.0F, 10.0F, 3.0F, 0.0F, false);
			tenticlemidB_r3 = new ModelRenderer(this);
			tenticlemidB_r3.setRotationPoint(0.0F, 0.0F, 0.0F);
			neck.addChild(tenticlemidB_r3);
			setRotationAngle(tenticlemidB_r3, 0.8727F, 0.0F, 0.0F);
			tenticlemidB_r3.setTextureOffset(24, 34).addBox(-1.0F, -32.0F, 19.0F, 3.0F, 10.0F, 3.0F, 0.0F, false);
			tenticlemidB_r4 = new ModelRenderer(this);
			tenticlemidB_r4.setRotationPoint(0.0F, 0.0F, 0.0F);
			neck.addChild(tenticlemidB_r4);
			setRotationAngle(tenticlemidB_r4, 0.4363F, 0.0F, 0.0F);
			tenticlemidB_r4.setTextureOffset(36, 34).addBox(-1.0F, -29.0F, 8.0F, 3.0F, 10.0F, 3.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			elitetenticle.render(matrixStack, buffer, packedLight, packedOverlay);
			face.render(matrixStack, buffer, packedLight, packedOverlay);
			head.render(matrixStack, buffer, packedLight, packedOverlay);
			neck.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
			this.head.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.head.rotateAngleX = f4 / (180F / (float) Math.PI);
			this.face.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.face.rotateAngleX = f4 / (180F / (float) Math.PI);
			this.neck.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.neck.rotateAngleX = f4 / (180F / (float) Math.PI);
		}
	}

}
