package net.mcreator.groundzjava.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.groundzjava.entity.ProfessorfredrickmutatedEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class ProfessorfredrickmutatedRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(ProfessorfredrickmutatedEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelprofessor_fredrick_mutated(), 0.5f) {

					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("ground_z_java:textures/proffesor_fredrick_mutated.bbmodel_texture.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.2
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class Modelprofessor_fredrick_mutated extends EntityModel<Entity> {
		private final ModelRenderer effects;
		private final ModelRenderer body;
		private final ModelRenderer tenticles;
		private final ModelRenderer tipB_r1;
		private final ModelRenderer tipA_r1;
		private final ModelRenderer midB_r1;
		private final ModelRenderer midA_r1;
		private final ModelRenderer neckC_r1;
		private final ModelRenderer neckB_r1;
		private final ModelRenderer neckA_r1;
		private final ModelRenderer head_r1;

		public Modelprofessor_fredrick_mutated() {
			textureWidth = 512;
			textureHeight = 512;
			effects = new ModelRenderer(this);
			effects.setRotationPoint(0.0F, 24.0F, 0.0F);
			effects.setTextureOffset(181, 83).addBox(-35.0F, 5.0F, -36.0F, 45.0F, 2.0F, 27.0F, 0.0F, false);
			effects.setTextureOffset(97, 150).addBox(-48.0F, 5.0F, -32.0F, 13.0F, 2.0F, 23.0F, 0.0F, false);
			effects.setTextureOffset(180, 0).addBox(10.0F, 5.0F, -29.0F, 22.0F, 2.0F, 34.0F, 0.0F, false);
			effects.setTextureOffset(137, 151).addBox(10.0F, 5.0F, 5.0F, 29.0F, 2.0F, 39.0F, 0.0F, false);
			effects.setTextureOffset(0, 150).addBox(-77.0F, 5.0F, -16.0F, 29.0F, 2.0F, 39.0F, 0.0F, false);
			body = new ModelRenderer(this);
			body.setRotationPoint(0.0F, 24.0F, 0.0F);
			body.setTextureOffset(0, 0).addBox(-50.0F, -14.0F, -9.0F, 60.0F, 20.0F, 60.0F, 0.0F, false);
			body.setTextureOffset(0, 80).addBox(-50.0F, -44.0F, 10.0F, 60.0F, 30.0F, 40.0F, 0.0F, false);
			body.setTextureOffset(0, 30).addBox(-22.0F, -56.0F, 13.0F, 18.0F, 12.0F, 12.0F, 0.0F, false);
			tenticles = new ModelRenderer(this);
			tenticles.setRotationPoint(0.0F, 24.0F, 0.0F);
			tenticles.setTextureOffset(64, 191).addBox(10.0F, -34.0F, 18.0F, 22.0F, 10.0F, 10.0F, 0.0F, false);
			tenticles.setTextureOffset(0, 191).addBox(-72.0F, -23.0F, 12.0F, 22.0F, 10.0F, 10.0F, 0.0F, false);
			tipB_r1 = new ModelRenderer(this);
			tipB_r1.setRotationPoint(0.0F, 0.0F, 0.0F);
			tenticles.addChild(tipB_r1);
			setRotationAngle(tipB_r1, -1.5708F, 0.0436F, -1.5708F);
			tipB_r1.setTextureOffset(97, 175).addBox(42.0F, -21.0F, -73.0F, 30.0F, 6.0F, 6.0F, 0.0F, false);
			tipA_r1 = new ModelRenderer(this);
			tipA_r1.setRotationPoint(0.0F, 0.0F, 0.0F);
			tenticles.addChild(tipA_r1);
			setRotationAngle(tipA_r1, 0.0F, 1.5708F, 0.0F);
			tipA_r1.setTextureOffset(180, 36).addBox(-8.0F, -32.0F, 40.0F, 30.0F, 6.0F, 6.0F, 0.0F, false);
			midB_r1 = new ModelRenderer(this);
			midB_r1.setRotationPoint(0.0F, 0.0F, 0.0F);
			tenticles.addChild(midB_r1);
			setRotationAngle(midB_r1, -1.9638F, 0.0403F, -1.5875F);
			midB_r1.setTextureOffset(128, 191).addBox(21.0F, 6.0F, -76.0F, 24.0F, 8.0F, 8.0F, 0.0F, false);
			midA_r1 = new ModelRenderer(this);
			midA_r1.setRotationPoint(0.0F, 0.0F, 0.0F);
			tenticles.addChild(midA_r1);
			setRotationAngle(midA_r1, 0.0F, 0.9599F, 0.0F);
			midA_r1.setTextureOffset(192, 191).addBox(-3.0F, -34.0F, 34.0F, 24.0F, 8.0F, 8.0F, 0.0F, false);
			neckC_r1 = new ModelRenderer(this);
			neckC_r1.setRotationPoint(0.0F, 24.0F, 0.0F);
			setRotationAngle(neckC_r1, -0.6109F, 0.0F, 0.0F);
			neckC_r1.setTextureOffset(0, 0).addBox(-18.0F, -60.0F, -38.0F, 10.0F, 10.0F, 20.0F, 0.0F, false);
			neckB_r1 = new ModelRenderer(this);
			neckB_r1.setRotationPoint(0.0F, 24.0F, 0.0F);
			setRotationAngle(neckB_r1, -0.2182F, 0.0F, 0.0F);
			neckB_r1.setTextureOffset(200, 109).addBox(-17.0F, -70.0F, -30.0F, 8.0F, 8.0F, 16.0F, 0.0F, false);
			neckA_r1 = new ModelRenderer(this);
			neckA_r1.setRotationPoint(0.0F, 24.0F, 0.0F);
			setRotationAngle(neckA_r1, 0.0436F, 0.0F, 0.0F);
			neckA_r1.setTextureOffset(0, 80).addBox(-16.0F, -75.0F, -21.0F, 6.0F, 6.0F, 10.0F, 0.0F, false);
			head_r1 = new ModelRenderer(this);
			head_r1.setRotationPoint(0.0F, 24.0F, 0.0F);
			setRotationAngle(head_r1, 0.1719F, 0.0302F, -0.1719F);
			head_r1.setTextureOffset(0, 96).addBox(-4.0F, -79.0F, -17.0F, 8.0F, 8.0F, 8.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			effects.render(matrixStack, buffer, packedLight, packedOverlay);
			body.render(matrixStack, buffer, packedLight, packedOverlay);
			tenticles.render(matrixStack, buffer, packedLight, packedOverlay);
			neckC_r1.render(matrixStack, buffer, packedLight, packedOverlay);
			neckB_r1.render(matrixStack, buffer, packedLight, packedOverlay);
			neckA_r1.render(matrixStack, buffer, packedLight, packedOverlay);
			head_r1.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}

}
