
package net.mcreator.groundzjava.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import net.mcreator.groundzjava.GroundZJavaModElements;

@GroundZJavaModElements.ModElement.Tag
public class CannedFoodItem extends GroundZJavaModElements.ModElement {
	@ObjectHolder("ground_z_java:canned_food")
	public static final Item block = null;

	public CannedFoodItem(GroundZJavaModElements instance) {
		super(instance, 149);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ItemGroup.FOOD).maxStackSize(32).rarity(Rarity.UNCOMMON)
					.food((new Food.Builder()).hunger(6).saturation(9.5f)

							.meat().build()));
			setRegistryName("canned_food");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
