package net.mcreator.groundzjava.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.groundzjava.entity.BarbedtenticleEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class BarbedtenticleRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(BarbedtenticleEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelbarbed_tenticle(), 0.5f) {

					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("ground_z_java:textures/barbed_tenticle.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.2
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class Modelbarbed_tenticle extends EntityModel<Entity> {
		private final ModelRenderer tenticle;
		private final ModelRenderer barbs;
		private final ModelRenderer eye;

		public Modelbarbed_tenticle() {
			textureWidth = 64;
			textureHeight = 64;
			tenticle = new ModelRenderer(this);
			tenticle.setRotationPoint(0.0F, 24.0F, 0.0F);
			tenticle.setTextureOffset(10, 20).addBox(-5.0F, -3.0F, -7.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			tenticle.setTextureOffset(16, 11).addBox(-5.0F, -3.0F, 4.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			tenticle.setTextureOffset(28, 23).addBox(-11.0F, -3.0F, -2.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			tenticle.setTextureOffset(0, 29).addBox(1.0F, -3.0F, -2.0F, 6.0F, 3.0F, 6.0F, 0.0F, false);
			tenticle.setTextureOffset(16, 0).addBox(-5.0F, -6.0F, -1.0F, 6.0F, 6.0F, 5.0F, 0.0F, false);
			tenticle.setTextureOffset(0, 0).addBox(-4.0F, -26.0F, -1.0F, 4.0F, 20.0F, 5.0F, 0.0F, false);
			barbs = new ModelRenderer(this);
			barbs.setRotationPoint(0.0F, 24.0F, 0.0F);
			barbs.setTextureOffset(33, 33).addBox(0.0F, -13.0F, 0.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(12, 0).addBox(-7.0F, -9.0F, 2.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(12, 2).addBox(-7.0F, -13.0F, 0.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(0, 26).addBox(-7.0F, -17.0F, 1.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(26, 32).addBox(0.0F, -17.0F, 1.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(33, 0).addBox(0.0F, -9.0F, 2.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(0, 24).addBox(-7.0F, -23.0F, 0.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(28, 20).addBox(0.0F, -20.0F, -1.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(33, 2).addBox(0.0F, -23.0F, 0.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			barbs.setTextureOffset(8, 24).addBox(-7.0F, -20.0F, -1.0F, 3.0F, 1.0F, 1.0F, 0.0F, false);
			eye = new ModelRenderer(this);
			eye.setRotationPoint(0.0F, 24.0F, 0.0F);
			eye.setTextureOffset(18, 29).addBox(-2.0F, -30.0F, -1.0F, 2.0F, 4.0F, 2.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			tenticle.render(matrixStack, buffer, packedLight, packedOverlay);
			barbs.render(matrixStack, buffer, packedLight, packedOverlay);
			eye.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
			this.eye.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.eye.rotateAngleX = f4 / (180F / (float) Math.PI);
		}
	}

}
