package net.mcreator.groundzjava.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.groundzjava.entity.RGACanisterEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class RGACanisterRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(RGACanisterEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcanister_of_RGA_Toxin(), 0.5f) {

					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("ground_z_java:textures/canister_of_rga_toxin.java_texture.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.9.2
	// Exported for Minecraft version 1.15 - 1.16 with MCP mappings
	// Paste this class into your mod and generate all required imports
	public static class Modelcanister_of_RGA_Toxin extends EntityModel<Entity> {
		private final ModelRenderer canister;

		public Modelcanister_of_RGA_Toxin() {
			textureWidth = 64;
			textureHeight = 64;
			canister = new ModelRenderer(this);
			canister.setRotationPoint(0.0F, 24.0F, 0.0F);
			canister.setTextureOffset(0, 0).addBox(-5.0F, -14.0F, -5.0F, 10.0F, 14.0F, 10.0F, 0.0F, false);
			canister.setTextureOffset(0, 24).addBox(-2.0F, -16.0F, -2.0F, 4.0F, 2.0F, 4.0F, 0.0F, false);
			canister.setTextureOffset(0, 0).addBox(-1.0F, -17.0F, -1.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			canister.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}

}
