
package net.mcreator.groundzjava.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import net.mcreator.groundzjava.GroundZJavaModElements;

@GroundZJavaModElements.ModElement.Tag
public class BoiledEggItem extends GroundZJavaModElements.ModElement {
	@ObjectHolder("ground_z_java:boiled_egg")
	public static final Item block = null;

	public BoiledEggItem(GroundZJavaModElements instance) {
		super(instance, 164);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}

	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ItemGroup.FOOD).maxStackSize(12).rarity(Rarity.UNCOMMON)
					.food((new Food.Builder()).hunger(6).saturation(1.5f)

							.build()));
			setRegistryName("boiled_egg");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 12;
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
